## python-cloup 2.0.0.post1

=== Makefile ===
.DEFAULT_GOAL := help

REMOVE = python scripts/remove.py
BROWSER = python scripts/browser.py
COPYTREE = python scripts/copytree.py

DOCS_HTML_DIR = docs/_build/html
DOCS_HTML_STATIC = $(DOCS_HTML_DIR)/_static

.PHONY: help
help:
	@python scripts/make-help.py < $(MAKEFILE_LIST)

.PHONY: venv
venv: ## creates a virtualenv using tox
	tox -e dev

.PHONY: install
install: clean ## install the package in dev mode
	pip install -e .

.PHONY: mypy
mypy: ## check code, tests and examples with mypy
	mypy cloup --strict
	mypy tests examples

.PHONY: lint
lint: ## check code, tests and examples with flake8
	flake8 cloup tests examples

.PHONY: test
test: install ## run tests quickly with the default Python
	pytest --cov=cloup -vv

.PHONY: coverage
coverage: test ## check code coverage quickly with the default Python
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

.PHONY: clean-docs
clean-docs: ## clean the documentation
	$(MAKE) -C docs clean
	$(REMOVE) docs/autoapi

.PHONY: docs
docs: ## generate Sphinx HTML documentation
	$(MAKE) -C docs html

.PHONY: view-docs
view-docs: docs ## open the built docs in the default browser
	$(BROWSER) $(DOCS_HTML_DIR)/index.html

.PHONY: re-docs
re-docs: clean-docs view-docs ## (re)generate Sphinx HTML documentation from scratch

LIVE_DOCS = sphinx-autobuild docs $(DOCS_HTML_DIR) \
	--watch ./**.rst \
	--watch ./cloup/**.py \
	--ignore ./docs/autoapi/**.rst \
	--open-browser

.PHONY: live-docs
live-docs:   ## watch docs files and rebuild the docs when they change
	$(LIVE_DOCS)

.PHONY: live-docs-all
live-docs-all:   ## write all files (useful when working on html/css)
	$(LIVE_DOCS) -a

.PHONY: update-docs-static
update-docs-static:   ## copy docs static files into the build folder
	$(COPYTREE) docs/_static $(DOCS_HTML_STATIC)

.PHONY: update-docs-css
update-docs-css:   ## copy docs css files into the build folder
	$(COPYTREE) docs/_static/styles $(DOCS_HTML_STATIC)/styles

.PHONY: clean
clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

.PHONY: clean-build
clean-build: ## remove build artifacts
	$(REMOVE) build dist .eggs
	$(REMOVE) -r './**/*.egg-info'
	$(REMOVE) -r './**/*.egg'

.PHONY: clean-pyc
clean-pyc: ## remove Python file artifacts
	$(REMOVE) -r './**/__pycache__'
	$(REMOVE) -r './**/*.pyc'
	$(REMOVE) -r './**/*.pyo'

.PHONY: clean-test
clean-test: ## remove test and coverage artifacts
	$(REMOVE) .tox .coverage htmlcov .pytest_cache

.PHONY: dist
dist: clean-build ## builds source and wheel package
	python setup.py sdist bdist_wheel
	twine check dist/*

.PHONY: release
release: dist ## package and upload a release
	twine upload dist/*

.PHONY: test-release
test-release: dist   ## package and upload a release
	twine upload --repository testpypi dist/*

.PHONY: pip-compile
pip-compile:  ## pin dependencies in requirements/ using the current env
	pip-compile requirements/test.in
	pip-compile requirements/docs.in
	pip-compile requirements/dev.in

.PHONY: pip-upgrade
pip-upgrade:   ## upgrade pip and dependencies
	python -m pip install -U pip
	pip-compile --upgrade requirements/test.in
	pip-compile --upgrade requirements/docs.in
	pip-compile --upgrade requirements/dev.in

.PHONY: pip-sync
pip-sync:  ## sync development environment with requirements/dev.txt
	pip install -U pip-tools
	pip-sync requirements/dev.txt
	pip install -e .

## python-cloup 1.0.0

=== debian/changelog ===
python-cloup (1.0.0-2) unstable; urgency=medium

  * Fix d/clean

 -- Timo Röhling <roehling@debian.org>  Mon, 25 Jul 2022 18:00:44 +0200

python-cloup (1.0.0-1) unstable; urgency=medium

  * Clean SCM version file after build (Closes: #1015045)
  * New upstream version 1.0.0

 -- Timo Röhling <roehling@debian.org>  Mon, 25 Jul 2022 16:20:41 +0200

python-cloup (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Jun 2022 14:09:22 +0200

python-cloup (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Jun 2022 23:17:21 +0200

python-cloup (0.14.0-1) unstable; urgency=medium

  * Initial release (Closes: #1012687)

 -- Timo Röhling <roehling@debian.org>  Sat, 11 Jun 2022 22:17:29 +0200

=== debian/control ===
Source: python-cloup
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-click,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx <!nodoc>,
 python3-sphinx-autoapi <!nodoc>,
 python3-sphinx-copybutton <!nodoc>,
 python3-sphinx-issues <!nodoc>,
 python3-sphinx-panels <!nodoc>,
Homepage: https://github.com/janluke/cloup
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cloup.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cloup
Description: Click with option groups
 Cloup enriches Click with several features that make it more expressive and
 configurable:
  * option groups and an (optional) help section for positional arguments
  * constraints, like mutually_exclusive, that can be applied to option groups
    or to any group of parameters, even conditionally subcommand aliases
  * subcommands sections, i.e. the possibility to organize the subcommands of
    a Group in multiple help sections
  * a themeable HelpFormatter that:
    - has more parameters for adjusting widths and spacing, which can be
      provided at the context and command level use a different layout when the
      terminal width is below a certain threshold in order to improve
      readability
    - suggestions like "did you mean <subcommand>?" when you mistype a
      subcommand
 Moreover, Cloup improves on IDE support providing decorators with detailed
 type hints and adding the static methods Context.settings() and
 HelpFormatter.settings() for creating dictionaries of settings.

Package: python3-cloup
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the Python 3 module.

Package: python-cloup-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides the API documentation.

## python-cloup 2.0.0.post1

=== debian/changelog ===
python-cloup (2.0.0.post1-2) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 13:18:30 +0100

python-cloup (2.0.0.post1-1) unstable; urgency=medium

  * New upstream version 2.0.0.post1

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Nov 2022 17:43:31 +0100

python-cloup (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- Timo Röhling <roehling@debian.org>  Sun, 06 Nov 2022 19:31:18 +0100

python-cloup (1.0.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:28:23 +0100

python-cloup (1.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Sep 2022 20:54:44 +0200

python-cloup (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1

 -- Timo Röhling <roehling@debian.org>  Fri, 23 Sep 2022 20:52:13 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cloup.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cloup
+Testsuite: autopkgtest-pkg-pybuild
 Description: Click with option groups
  Cloup enriches Click with several features that make it more expressive and
  configurable:

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = cloup
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
export PYBUILD_AFTER_INSTALL=$(MAKE) -C $(CURDIR)/docs html SPHINXBUILD="{interpreter} -msphinx" PYTHONPATH=$(CURDIR)/debian/python3-cloup{install_dir}
endif

%:
	dh $@ --buildsystem=pybuild

## python-cloup 3.0.0

=== debian/changelog ===
python-cloup (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * Use Furo theme for documentation

 -- Timo Röhling <roehling@debian.org>  Mon, 17 Jul 2023 00:23:27 +0200

python-cloup (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Tue, 13 Jun 2023 23:48:13 +0200

## python-cloup 3.0.1

=== debian/changelog ===
python-cloup (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Timo Röhling <roehling@debian.org>  Mon, 28 Aug 2023 17:58:42 +0200

## python-cloup 3.0.4

=== Makefile ===
--- 
+++ 
@@ -108,18 +108,20 @@
 test-release: dist   ## package and upload a release
 	twine upload --repository testpypi dist/*
 
+PIP_COMPILE := pip-compile --resolver=backtracking
+
 .PHONY: pip-compile
 pip-compile:  ## pin dependencies in requirements/ using the current env
-	pip-compile requirements/test.in
-	pip-compile requirements/docs.in
-	pip-compile requirements/dev.in
+	$(PIP_COMPILE) requirements/test.in
+	$(PIP_COMPILE) requirements/docs.in
+	$(PIP_COMPILE) requirements/dev.in
 
 .PHONY: pip-upgrade
 pip-upgrade:   ## upgrade pip and dependencies
 	python -m pip install -U pip
-	pip-compile --upgrade requirements/test.in
-	pip-compile --upgrade requirements/docs.in
-	pip-compile --upgrade requirements/dev.in
+	$(PIP_COMPILE) --upgrade requirements/test.in
+	# $(PIP_COMPILE) --upgrade requirements/docs.in
+	$(PIP_COMPILE) --upgrade requirements/dev.in
 
 .PHONY: pip-sync
 pip-sync:  ## sync development environment with requirements/dev.txt

=== debian/changelog ===
python-cloup (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4

 -- Timo Röhling <roehling@debian.org>  Tue, 02 Jan 2024 21:04:17 +0100

python-cloup (3.0.3-2) unstable; urgency=medium

  * Prevent sphinx-build from accessing the network (Closes: #1058062)

 -- Timo Röhling <roehling@debian.org>  Mon, 11 Dec 2023 21:42:27 +0100

python-cloup (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3

 -- Timo Röhling <roehling@debian.org>  Fri, 17 Nov 2023 21:22:30 +0100

python-cloup (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 22:58:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
+ furo <!nodoc>,
  python3-all,
  python3-click,
  python3-pytest <!nocheck>,
@@ -18,7 +19,7 @@
  python3-sphinx-issues <!nodoc>,
  python3-sphinx-panels <!nodoc>,
 Homepage: https://github.com/janluke/cloup
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cloup.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cloup

## python-cloup 3.0.5

=== debian/changelog ===
python-cloup (3.0.5-2) unstable; urgency=medium

  * Team upload.
  * Add the 0003-click-8.2 patch to fix `make_metavar()`.
  * Add Salsa CI configuration with reprotest temporarily disabled
    (figure out how to fix the sphinx docs generation if possible).

 -- Peter Pentchev <roam@debian.org>  Thu, 20 Feb 2025 15:39:55 +0200

python-cloup (3.0.5-1) unstable; urgency=medium

  * New upstream version 3.0.5

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Mar 2024 16:02:47 +0100

## python-cloup 3.0.6

=== debian/changelog ===
python-cloup (3.0.6-1) unstable; urgency=medium

  * New upstream version 3.0.6
  * Update patches
    - Drop 0003-click-8.2.patch (merged by upstream)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Thu, 06 Mar 2025 20:23:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Timo Röhling <roehling@debian.org>
+Uploaders:
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -19,7 +20,7 @@
  python3-sphinx-issues <!nodoc>,
  python3-sphinx-panels <!nodoc>,
 Homepage: https://github.com/janluke/cloup
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-cloup.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cloup

## python-cloup 3.0.7

=== debian/changelog ===
python-cloup (3.0.7-1) unstable; urgency=medium

  * New upstream version 3.0.7

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Apr 2025 14:53:51 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = cloup

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) \
	http_proxy='127.0.0.1:9' \
	https_proxy='127.0.0.1:9' \
	python3 -m sphinx -M html docs docs/_build
endif

## python-cloup 3.0.8

=== Makefile ===
--- 
+++ 
@@ -108,7 +108,7 @@
 test-release: dist   ## package and upload a release
 	twine upload --repository testpypi dist/*
 
-PIP_COMPILE := pip-compile --resolver=backtracking
+PIP_COMPILE := pip-compile --resolver=backtracking --no-emit-index-url
 
 .PHONY: pip-compile
 pip-compile:  ## pin dependencies in requirements/ using the current env

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = cloup
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-cloup (3.0.8-1) unstable; urgency=medium

  * New upstream version 3.0.8

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 10:52:05 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/janluke/cloup/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
